Subject: Re: Help with GCC on Cygwin
From: Eric Lilja <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 05 Mar 2008 07:36:19 +0100
List-Id: <cygwin.cygwin.com>

Balaji V. Iyer wrote:
[snip]
I'm used to building in a separate directory. Say I've unpacked the 
tarball in my home directory, I would do something like:
$ mkdir gcc-build
$ cd gcc-build
$ ../gcc-4.0.2/configure --prefix=/usr/local/gcc-4.0.2 --enable-languages=c
(And a few more flags but I've omitted them here.)
$ make bootstrap
$ make install

The prefix is to not mess with the old gcc. If you keep the gcc-build 
directory you can install gcc 4.0.2 with $ make uninstall. The make all 
install you're doing I'm not familiar with.

- Eric

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/